GET /data/v1/metrics/{METRIC_ID}/timeseries

mux.com

Summary: Get metric timeseries data
Operation ID: get-metric-timeseries-data
Auth: unknown
Description

Returns timeseries data for a specific metric. Each interval represented in the data array contains an array with the following values: * the first element is the interval time * the second element is the calculated metric value * the third element is the number of views in the interval that have a valid metric value

Parameters (6)

METRIC_ID (string, path, required)

ID of the Metric

Constraints: {'enum': ['aggregate_startup_time', 'downscale_percentage', 'exits_before_video_start', 'live_stream_latency', 'max_downscale_percentage', 'max_upscale_percentage', 'page_load_time', 'playback_failure_percentage', 'playback_failure_score', 'player_startup_time', 'playing_time', 'rebuffer_count', 'rebuffer_duration', 'rebuffer_frequency', 'rebuffer_percentage', 'rebuffer_score', 'requests_for_first_preroll', 'seek_latency', 'startup_time_score', 'unique_viewers', 'upscale_percentage', 'video_quality_score', 'video_startup_preroll_load_time', 'video_startup_preroll_request_time', 'video_startup_time', 'viewer_experience_score', 'views', 'weighted_average_bitrate', 'video_startup_failure_percentage']}

filters[] (array, query, optional)

Limit the results to rows that match conditions from provided key:value pairs. Must be provided as an array query string parameter. To exclude rows that match a certain condition, prepend a `!` character to the dimension. Possible filter names are the same as returned by the List Filters endpoint. Example: * `filters[]=operating_system:windows&filters[]=!country:US`

group_by (string, query, optional)

Time granularity to group results by. If this value is omitted, a default granularity is chosen based on the timeframe. For timeframes of less than 90 minutes, the default granularity is `minute`. Between 90 minutes and 6 hours, the default granularity is `ten_minutes`. Between 6 hours and 15 days inclusive, the default granularity is `hour`. The granularity of timeframes that exceed 15 days is `day`. This default behavior is subject to change; it is strongly suggested that you explicitly specify the granularity.

Constraints: {'enum': ['minute', 'ten_minutes', 'hour', 'day']}

measurement (string, query, optional)

Measurement for the provided metric. If omitted, the default for the metric will be used.

Constraints: {'enum': ['95th', 'median', 'avg', 'count', 'sum']}

order_direction (string, query, optional)

Sort order.

Constraints: {'enum': ['asc', 'desc']}

timeframe[] (array, query, optional)

Timeframe window to limit results by. Must be provided as an array query string parameter (e.g. timeframe[]=). Accepted formats are... * array of epoch timestamps e.g. `timeframe[]=1498867200&timeframe[]=1498953600` * duration string e.g. `timeframe[]=24:hours or timeframe[]=7:days`

No probe data for this endpoint yet.